Skip to content

Doku Benutzer Systemanforderung

René Schirmer edited this page Feb 1, 2020 · 4 revisions

Systemanforderungen


Inhaltsverzeichnis
  • Im Vergleich zu anderer Software wird das Content Management System Ilch nicht auf Ihrem lokalen Computer installiert. Die Installation von Ilch erfolgt auf einem Webserver. Damit Ilch auf diesem Webserver läuft, muss dieser einige Standards unterstützen.

Webserver - Voraussetzungen

  • Das Betriebssystem Ihres Servers ist für Ilch nicht entscheidend. Sie können Ilch auf Servern mit Windows, Linux oder Mac Betriebssystemen installieren.

  • Entscheidend ist das der Server mit einem aktuellen Webserver ausgestattet ist. Ilch empfiehlt einen Apache Webserver, aber auch die Verwendung anderer Webserver wie z.B. dem Microsoft IIS ist möglich.

Software Mindestens Empfohlen
PHP Unterstützung Ab Version 5.6 Ab Version 7.2
MySQL Datenbank 5.5.3 aktuelle Version
Speicher/Webspace 50 MB Speicher um Ilch installieren zu können 250 MB und mehr um u.a. Bilder für Galerie oder Avatare und Downloads speichern zu können
Apache-Webserver - aktuelle Version
Windows-Webserver - aktuelle Version

Benötigte PHP Erweiterungen

  • cURL
  • gd
  • Multibyte String (mbstring)
  • MySQLi (mysqli)
  • OpenSSL
  • Zip

Wiki für ilch-2

Benutzer

  • Inhaltsverzeichnis
    Hier findet man u.a. die Installations-anleitung, sowie Fehler- und Problem-behebungen

Entwickler

  • Inhaltsverzeichnis
    Hier findet man Informationen zum Script, Konzept und dem Programmierstil

Designer

  • Inhaltsverzeichnis
    Hier findet man Informationen über den Aufbau und Anpassung von Layouts und Modulen

Clone this wiki locally
You can’t perform that action at this time.